API Guide
Log In
API Guide

Create pay run

Creates a single pay run containing one or more payables scheduled for a given date. All payables within a a pay run are paid from a single payer account. Each payable can be for a different recipient.

Path Params
uuid
required

The unique Crezco ID for an organisation

Body Params

Model for creating a pay run

string
required
length between 1 and 50

Globally Unique Id of this pay run in the partner system

date | null

The date that this pay run is scheduled to be paid represented in ISO 8601 complete date delimited format (e.g. 2022-05-12 would be 12th May 2022)

If omitted, payment will be instructed as soon as it is authorised

uuid | null

The bank account to pay from. For backwards compatibility, this field is still supported. New integrations should use PaymentSourceType and PaymentSourceId instead.

string
enum
Allowed:
uuid | null

ID of the payment source. The type is derived automatically when PaymentSourceType is omitted. Required for Bank payment sources. Optional if PaymentSourceType is Card (for stored cards).

payables
array
required
length ≥ 1

Collection of individual payable items that form this pay run

payables*

Details for a single payment being made from a Payer to a Recipient

string
required
length between 1 and 50

Globally Unique Id of this payment in the partner system

recipientAmount
object
required
endUserTotalCostAmount
object
currencyConversion
object

Details of the rates for a currency conversion

fees
object
beneficiary
required

Details of the beneficiary receiving this payment

string
enum
invoice
object
timeline
object

Timeline information for this payment, including cutoff and estimated processed times.

fundingAmount
object
string

Customer reference for this payment

boolean

Sets the payment to be processed last in the batch

reversedAmount
object
string
enum

Mapping for https://crezco.readme.io/reference/statuses so we don't expose internal statuses

string
enum
Allowed:
uuid | null

ID of the payment source, if known

groups
array of objects | null

Optional collection of payable groups within this pay run

Payables can be grouped by beneficiary. Grouped payables to the same beneficiary will, once paid, appear as a single line item on the payer's bank statements.

Attempts to group payments with different beneficiaries will cause pay run creation to fail.

groups
string
enum

Mapping for https://crezco.readme.io/reference/statuses so we don't expose internal statuses

metadata
array of objects

Partner-defined metadata for this pay run

metadata
Headers
string
Defaults to 2025-01-31

The requested API version

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json